### Hierarchy

- Option

## Index

### Constructors

- constructor

### Properties

- bool
- description
- flags
- long
- optional
- required
- short

## Constructors

### constructor

- new Option(flags: string, description?: undefined | string): Option

- - Defined in node_modules/commander/typings/index.d.ts:15

  Initialize a new `Option` with the given `flags` and `description`.

  #### Parameters

  - ##### flags: string

  - ##### Optional description: undefined | string

  #### Returns Option

## Properties

### bool

bool: boolean

- Defined in node_modules/commander/typings/index.d.ts:12

### description

description: string

- Defined in node_modules/commander/typings/index.d.ts:15

### flags

flags: string

- Defined in node_modules/commander/typings/index.d.ts:9

### long

long: string

- Defined in node_modules/commander/typings/index.d.ts:14

### optional

optional: boolean

- Defined in node_modules/commander/typings/index.d.ts:11

### required

required: boolean

- Defined in node_modules/commander/typings/index.d.ts:10

### Optional short

short: undefined | string

- Defined in node_modules/commander/typings/index.d.ts:13

Generated using TypeDoc